This patch corrects a bug in which data is sometimes corrupted when moving a disk 
partition while the disk has other partitions mounted.
--- a/kvpm/partchange.cpp
+++ b/kvpm/partchange.cpp
@@ -649,13 +649,8 @@
         return false;
     }
     else {
-        if( !movefs(old_start, current_start, old_size) ){
-            return false;
-        }
-        else{
-            pedCommitAndWait(m_ped_disk);
-            return true;
-        }
+        pedCommitAndWait(m_ped_disk);
+	return movefs(old_start, current_start, old_size);
     }
 }
 
